package ru.javastudy.spring.cats;

import javax.inject.Named;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by Nick on 15.08.2015.
 */
@Named
public class CatsFactory {

    public static List createCats() {
        List<Cat> cats = new ArrayList<Cat>();
        cats.add(new Cat("Barsik", "2008", "Maine Coon", 8));
        cats.add(new Cat("FatCat", "2012", "Wild", 6));
        cats.add(new Cat("NyashMyash", "2014", "Japan", 4));
        cats.add(new Cat("Dart", "2013", "Weider", 2));
        cats.add(new Cat("Mad", "2016", "Cat", 3));
        return cats;
    }


    private List cats;
    public List getCats() {
        List<Cat> cats = new ArrayList<Cat>();
        cats.add(new Cat("Murka", "2001", "MoyMurenochek", 8));
        cats.add(new Cat("Sharik", "2012", "RubalHarchi", 6));
        cats.add(new Cat("Matroskin", "2014", "Jew", 4));
        cats.add(new Cat("Myau", "2013", "Col.Mayu", 2));
        cats.add(new Cat("Maru", "2009", "Japan Nyasha", 15));
        return cats;
    }

}
